msekleta pushed to bird (el6). "Update to 1.4.5"

notifications at fedoraproject.org notifications at fedoraproject.org
Tue Mar 31 08:23:24 UTC 2015


>From 211119725eeeb5ec7527f3db71831d4560c673d9 Mon Sep 17 00:00:00 2001
From: Michal Sekletar <msekleta at redhat.com>
Date: Tue, 31 Mar 2015 10:03:52 +0200
Subject: Update to 1.4.5


diff --git a/.gitignore b/.gitignore
index e69de29..7d50738 100644
--- a/.gitignore
+++ b/.gitignore
@@ -0,0 +1 @@
+/bird-1.4.5.tar.gz
diff --git a/bird.init b/bird.init
new file mode 100644
index 0000000..0f46567
--- /dev/null
+++ b/bird.init
@@ -0,0 +1,97 @@
+#!/bin/sh
+#
+# BIRD Internet Routing Daemon
+#
+# chkconfig:   - 20 80
+# description: BIRD is dynamic routing daemon supporting \
+#              routing protocols BGP, RIP and OSPF.
+
+# Source function library.
+. /etc/rc.d/init.d/functions
+
+prog="BIRD_PROGNAME"
+exec="/usr/sbin/$prog"
+config="/etc/$prog.conf"
+
+[ -e /etc/sysconfig/$prog ] && . /etc/sysconfig/$prog
+
+lockfile=/var/lock/subsys/$prog
+
+start() {
+    [ -x $exec ] || exit 5
+    [ -f $config ] || exit 6
+    echo -n $"Starting $prog: "
+    daemon $exec
+    retval=$?
+    echo
+    [ $retval -eq 0 ] && touch $lockfile
+    return $retval
+}
+
+stop() {
+    echo -n $"Stopping $prog: "
+    killproc $prog
+    retval=$?
+    echo
+    [ $retval -eq 0 ] && rm -f $lockfile
+    return $retval
+}
+
+restart() {
+    stop
+    start
+}
+
+reload() {
+    echo -n $"Reloading $prog: "
+    killproc $prog -HUP
+    retval=$?
+    echo
+    return $retval
+}
+
+force_reload() {
+    restart
+}
+
+rh_status() {
+    # run checks to determine if the service is running or use generic status
+    status $prog
+}
+
+rh_status_q() {
+    rh_status >/dev/null 2>&1
+}
+
+
+case "$1" in
+    start)
+        rh_status_q && exit 0
+        $1
+        ;;
+    stop)
+        rh_status_q || exit 0
+        $1
+        ;;
+    restart)
+        $1
+        ;;
+    reload)
+        rh_status_q || exit 7
+        $1
+        ;;
+    force-reload)
+        force_reload
+        ;;
+    status)
+        rh_status
+        ;;
+    condrestart|try-restart)
+        rh_status_q || exit 0
+        restart
+        ;;
+    *)
+        echo $"Usage: $0 {start|stop|status|restart|condrestart|try-restart|reload|force-reload}"
+        exit 2
+esac
+exit $?
diff --git a/bird.spec b/bird.spec
new file mode 100644
index 0000000..4a597bb
--- /dev/null
+++ b/bird.spec
@@ -0,0 +1,144 @@
+%global _hardened_build 1
+
+Name:             bird
+Version:          1.4.5
+Release:          1%{?dist}
+Summary:          BIRD Internet Routing Daemon
+
+Group:            System Environment/Daemons
+License:          GPLv2+
+URL:              http://bird.network.cz
+Source0:          ftp://bird.network.cz/pub/bird/bird-%{version}.tar.gz
+Source1:          bird.init
+
+BuildRequires:    flex bison ncurses-devel readline-devel sed
+Requires(post):   chkconfig
+Requires(preun):  chkconfig initscripts
+
+%description
+BIRD is dynamic routing daemon supporting IPv4 and IPv6 versions of routing
+protocols BGP, RIP and OSPF.
+
+This package contains IPv4 version.
+
+
+%package -n bird6
+Summary:          BIRD Internet Routing Daemon
+Group:            System Environment/Daemons
+Requires(post):   chkconfig
+Requires(preun):  chkconfig initscripts
+
+%description -n bird6
+BIRD is dynamic routing daemon supporting IPv4 and IPv6 versions of routing
+protocols BGP, RIP and OSPF.
+
+This package contains IPv6 version.
+
+
+%package doc
+Summary:          BIRD Internet Routing Daemon
+Group:            System Environment/Daemons
+
+%description doc
+BIRD is dynamic routing daemon supporting IPv4 and IPv6 versions of routing
+protocols BGP, RIP and OSPF.
+
+This package contains documentation.
+
+
+%prep
+%setup -q
+
+#Don't strip executables
+sed -i 's/\$(INSTALL_PROGRAM) -s/\$(INSTALL_PROGRAM)/' tools/Makefile.in
+
+
+%build
+mkdir ipv6
+tar c --exclude ipv6 . | tar x -C ipv6
+
+cd ipv6
+%configure --prefix=%{_prefix} \
+           --sysconfdir=%{_sysconfdir} \
+           --localstatedir=%{_localstatedir} \
+           --enable-ipv6
+make %{?_smp_mflags}
+cd ..
+
+%configure --prefix=%{_prefix} \
+           --sysconfdir=%{_sysconfdir} \
+           --localstatedir=%{_localstatedir}
+make %{?_smp_mflags}
+
+
+%install
+rm -rf %{buildroot}
+
+make install DESTDIR=%{buildroot}
+
+cd ipv6
+make install DESTDIR=%{buildroot}
+cd ..
+
+install -d $RPM_BUILD_ROOT%{_initddir}
+sed 's/BIRD_PROGNAME/bird/' %SOURCE1 > $RPM_BUILD_ROOT%{_initddir}/bird
+sed 's/BIRD_PROGNAME/bird6/' %SOURCE1 > $RPM_BUILD_ROOT%{_initddir}/bird6
+
+%clean
+rm -rf %{buildroot}
+
+%post
+/sbin/chkconfig --add %{name}
+
+%preun
+if [ $1 -eq 0 ]; then
+   /sbin/service %{name} stop >/dev/null 2>&1
+   /sbin/chkconfig --del %{name}
+fi
+
+%postun
+if [ $1 -eq 1 ]; then
+   /sbin/service %{name} condrestart >/dev/null 2>&1 || :
+fi
+
+%post -n bird6
+/sbin/chkconfig --add bird6
+
+%preun -n bird6
+if [ $1 -eq 0 ]; then
+   /sbin/service bird6 stop >/dev/null 2>&1
+   /sbin/chkconfig --del bird6
+fi
+
+%postun -n bird6
+if [ $1 -eq 1 ]; then
+   /sbin/service bird6 condrestart >/dev/null 2>&1 || :
+fi
+
+%files
+%defattr(-,root,root,-)
+%doc NEWS README TODO
+%config(noreplace) %{_sysconfdir}/bird.conf
+%attr(755,root,root) %{_initddir}/bird
+%{_sbindir}/bird
+%{_sbindir}/birdc
+%{_sbindir}/birdcl
+
+%files -n bird6
+%defattr(-,root,root,-)
+%doc NEWS README TODO
+%config(noreplace) %{_sysconfdir}/bird6.conf
+%attr(755,root,root) %{_initddir}/bird6
+%{_sbindir}/bird6
+%{_sbindir}/birdc6
+%{_sbindir}/birdcl6
+
+%files doc
+%defattr(-,root,root,-)
+%doc NEWS README TODO
+%doc doc/bird*.html
+
+
+%changelog
+* Wed Dec 03 2014 Michal Sekletar <msekleta at redhat.com> - 1.4.5-1
+- update to 1.4.5
diff --git a/sources b/sources
index e69de29..6ac9bc4 100644
--- a/sources
+++ b/sources
@@ -0,0 +1 @@
+a8e5e0a9129ce30fe6102c593bafb763  bird-1.4.5.tar.gz
-- 
cgit v0.10.2


	http://pkgs.fedoraproject.org/cgit/bird.git/commit/?h=el6&id=211119725eeeb5ec7527f3db71831d4560c673d9


More information about the scm-commits mailing list